Subject: Trouble editing image from downloads to output on serial terminal

From: Adam Pickering <[email-masked]>
Date: Mon, 16 Mar 2020 19:28:14 +0000

Hello,

First of all, thanks for alpine linux. It's great and my favourite distro!

I'm trying to install alpine linux on a pcengines apu2. Before SSH is configured, the only way to communicate with this device is via serial connection. This is a bit of a problem since the image I downloaded from the downloads page is not configured to do this in syslinux. I have tried mounting the image as a loop device and changing the config myself, it won't let me edit it, saying it is "write protected" when I mount it. Is there a reason why this is the case? Is there any way to remove the write protection?

Also FYI it looks like the wiki is down.

Thanks,
Adam Pickering